%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%define cupsddk_version 1.2.3

Summary: HP Linux Imaging and Printing Project
Name: hplip3
Version: 3.9.8
Release: 11%{?dist}.1
License: GPLv2+ and MIT
Group: System Environment/Daemons
Conflicts: system-config-printer < 0.6.132
Obsoletes: hpoj <= 0.91
Obsoletes: xojpanel <= 0.91
Conflicts: selinux-policy < 2.4.6-283

Url: http://hplip.sourceforge.net/
Source0: http://downloads.sourceforge.net/hplip/hplip-%{version}.tar.gz
Source1: http://ftp.easysw.com/pub/cupsddk/%{cupsddk_version}/cupsddk-%{cupsddk_version}-source.tar.bz2
Patch1: hplip-hpcups-reorder.patch
Patch2: hplip-strstr-const.patch
Patch3: hplip-ui-optional.patch
Patch4: hplip-no-asm.patch
Patch5: hplip-clear-previous-state-reasons.patch
Patch6: hplip-state-reasons-newline.patch
Patch7: hplip-parenths.patch
Patch8: hplip-retry-open.patch
Patch9: hplip-requirespageregion.patch
Patch10: hplip-discovery-method.patch
Patch11: hplip-device-reconnected.patch
Patch12: hplip-duplex-vs-number-up.patch
Patch13: hplip-plugin-error.patch
Patch14: hplip-hpcups-sigpipe.patch
Patch15: hplip-hpcups-plugin.patch
Patch16: hplip-bad-low-ink-warning.patch
Patch17: hplip-preferences-crash.patch
Patch18: hplip-tray-icon-crash.patch
Patch19: hplip-snmp-quirks.patch
Patch20: hplip-fax-ppd.patch
Patch21: hplip-no-systray.patch
Patch22: hplip-devmgr-list.patch
Patch23: hplip-fab-root-crash.patch
Patch24: hplip-parallel-install.patch
Patch25: hplip-dbus-python.patch
Patch26: hplip-CVE-2010-4267.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define hpijs_epoch 1
Requires: hpijs3 = %{hpijs_epoch}:%{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
Requires: python-imaging
Requires: hal
Requires: cups

BuildRequires: net-snmp-devel
BuildRequires: cups-devel
BuildRequires: python-devel
BuildRequires: libjpeg-devel
BuildRequires: desktop-file-utils
BuildRequires: libusb-devel
BuildRequires: openssl-devel
BuildRequires: sane-backends-devel
BuildRequires: dbus-devel

# For cupsddk:
BuildRequires: libtiff-devel, libjpeg-devel, libpng-devel, zlib-devel

%description
The Hewlett-Packard Linux Imaging and Printing Project provides
drivers for HP printers and multi-function peripherals.

%package common
Summary: Files needed by the HPLIP printer and scanner drivers
Group: System Environment/Libraries
License: GPLv2+
Requires: udev

%description common
Files needed by the HPLIP printer and scanner drivers.

%package libs
Summary: HPLIP libraries
Group: System Environment/Libraries
License: GPLv2+ and MIT
Requires: %{name}-common = %{version}-%{release}
Requires: python

%description libs
Libraries needed by HPLIP.

%package gui
Summary: HPLIP graphical tools
Group: Applications/System
License: BSD
Requires: PyQt
Requires(post): desktop-file-utils >= 0.2.92
Requires(postun): desktop-file-utils >= 0.2.92
Requires: %{name} = %{version}-%{release}
Requires: libsane-hpaio3 = %{version}-%{release}

%description gui
HPLIP graphical tools.

%package -n hpijs3
Summary: HP Printer Drivers
Group: Applications/Publishing
License: BSD
Epoch: %{hpijs_epoch}
Requires: %{name}-libs = %{version}-%{release}
Requires: net-snmp
Requires: cups

%description -n hpijs3
hpijs is a collection of optimized drivers for HP printers.
hpijs supports the DeskJet 350C, 600C, 600C Photo, 630C, Apollo 2000,
Apollo 2100, Apollo 2560, DeskJet 800C, DeskJet 825, DeskJet 900,
PhotoSmart, DeskJet 990C, and PhotoSmart 100 series.

%package -n libsane-hpaio3
Summary: SANE driver for scanners in HP's multi-function devices
Group: System Environment/Daemons
License: GPLv2+
Obsoletes: libsane-hpoj <= 0.91
Requires: sane-backends
Requires: sane-backends-libs
Requires: %{name}-libs = %{version}-%{release}
ExcludeArch: s390 s390x

%description -n libsane-hpaio3
SANE driver for scanners in HP's multi-function devices (from HPOJ).

%prep
rm -rf $RPM_BUILD_DIR/hplip-%{version}
%setup -q -a 1 -n hplip-%{version}

# Upstream patch to fix paper size order and LJColor device class color space.
%patch1 -p1 -b .hpcups-reorder

# Fix compilation.
%patch2 -p1 -b .strstr-const

# Make utils.checkPyQtImport() look for the gui sub-package (bug #243273).
%patch3 -p1 -b .ui-optional

# Make sure to avoid handwritten asm.
%patch4 -p1 -b .no-asm

# Clear previous state reasons in the hp backend (bug #501338).
%patch5 -p1 -b .clear-previous-state-reasons

# Don't hide state reason changes by missing out newlines in stderr.
%patch6 -p1 -b .state-reasons-newline

# Fixed typos in page sizes (bug #515469).
%patch7 -p1 -b .parenths

# Retry when connecting to device fails (bug #552582).
%patch8 -p1 -b .retry-open

# Set RequiresPageRegion in hpcups PPDs (bug #518756).
%patch9 -p1 -b .requirespageregion

# Fixed hp-setup traceback when discovery page is skipped (bug #523685).
%patch10 -p1 -b .discovery-method

# Give up trying to print a job to a reconnected device (bug #515481).
%patch11 -p1 -b .device-reconnected

# Fixed duplex handling in hpcups.drv (bug #557515).
%patch12 -p1 -b .duplex-vs-number-up

# Set a printer-state-reason when there's a missing required plugin
# (bug #531330).
%patch13 -p1 -b .plugin-error

# Avoid busy loop in hpcups when backend has exited (bug #525944).
%patch14 -p1 -b .hpcups-sigpipe

# Added 'requires proprietary plugin' to appropriate model names
# (bug #513283).
%patch15 -p1 -b .hpcups-plugin

# Fixed Device ID parsing code in hpijs's dj9xxvip.c (bug #510926).
%patch16 -p1 -b .bad-low-ink-warning

# Fixed crash when using Preferences dialog (bug #557099).
%patch17 -p1 -b .preferences-crash

# Explicitly destroy tray icon on exit (bug #576282).
%patch18 -p1 -b .tray-icon-crash

# Mark SNMP quirks in PPD for HP OfficeJet Pro 8500 (bug #580604).
%patch19 -p1 -b .snmp-quirks

# Use correct fax PPD name.
%patch20 -p1 -b .fax-ppd

# No working systray support for Qt3 so just run the userspace daemon
# when hp-systray is called.
%patch21 -p1 -b .no-systray

# Fixed weird type issue in Qt3 UI.
%patch22 -p1 -b .devmgr-list

# Prevent hp-fab traceback when run as root.
%patch23 -p1 -b .fab-root-crash

# Change file names to allow for parallel install.
%patch24 -p1 -b .parallel-install

# Don't use dbus.glib.mainloop.DBusGMainLoop (bug #626850).
%patch25 -p1 -b .dbus-python

# Applied patch to fix CVE-2010-4267, remote stack overflow
# vulnerability (bug #662740).
%patch26 -p1 -b .CVE-2010-4267

sed -i.hp3-tools \
    -e 's,hpaio_,hpaio3_,g' scan/sane/*.[ch]
find -name '*.py' -print0 | xargs -0 \
  sed -i.hp3-tools \
    -e 's,hp-\(align\|check\|clean\|colorcal\|fab\|firmware\|info\|levels\|'\
'linefeedcal\|makecopies\|makeuri\|plugin\|print\|probe\|sendfax\|'\
'setup\|systray\|testpage\|toolbox\|unload\),hp3-\1,g'
pushd fax/ppd
gunzip *hpijs*
sed -i.hp3-tools -e 's,IjsServer=hpijs,IjsServer=hp3ijs,g' *hpijs*
gzip -n *hpijs*
popd

find -name '*.py' -print0 | xargs -0 \
    sed -i.env-python -e 's,^#!/usr/bin/env python,#!/usr/bin/python,'

sed -i.duplex-constraints \
    -e 's,\(UIConstraints.* \*Duplex\),//\1,' \
    prnt/drv/hpcups.drv.in

%build
%configure \
        --enable-scan-build --enable-gui-build --enable-fax-build \
        --disable-foomatic-rip-hplip-install --enable-pp-build \
        --enable-qt3 --disable-qt4 --enable-hpcups-install \
        --enable-cups-drv-install \
        --enable-hpijs-install \
        --disable-policykit

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

pushd cupsddk-%{cupsddk_version}
%configure --with-optim="$RPM_OPT_FLAGS"
make
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot}

# Remove unpackaged files
rm -rf  %{buildroot}%{_sysconfdir}/sane.d \
        %{buildroot}%{_docdir} \
        %{buildroot}%{_datadir}/hal/fdi \
        %{buildroot}%{_datadir}/hplip3/pkservice.py \
        %{buildroot}%{_bindir}/hp-pkservice

# These programs require PyQt4
for name in devicesettings faxsetup linefeedcal \
	pqdiag printsettings wificonfig
do
	rm -f %{buildroot}%{_bindir}/hp-${name}
	rm -f %{buildroot}%{_datadir}/hplip3/${name}.py
done

rm -f   %{buildroot}%{_bindir}/foomatic-rip \
        %{buildroot}%{_libdir}/cups/filter/foomatic-rip \
        %{buildroot}%{_libdir}/*.la \
        %{buildroot}%{python_sitearch}/*.la \
        %{buildroot}%{_libdir}/libhp3ip.so \
        %{buildroot}%{_libdir}/sane/*.la \
        %{buildroot}%{_datadir}/cups/model/foomatic-ppds \
        %{buildroot}%{_datadir}/applications/hplip.desktop

cupsddk-%{cupsddk_version}/ppdc/ppdc \
  -I cupsddk-%{cupsddk_version}/data/ \
  -d %{buildroot}%{_datadir}/ppd/HP \
  prnt/drv/hpcups.drv
gzip -n %{buildroot}%{_datadir}/ppd/HP/*.ppd

mkdir -p %{buildroot}%{_datadir}/applications
sed -i -e '/^Categories=/d' hplip.desktop
mv hplip.desktop %{name}.desktop
desktop-file-install --vendor HP                                \
        --dir %{buildroot}%{_datadir}/applications              \
        --add-category System                                   \
        --add-category Settings                                 \
        --add-category HardwareSettings                         \
        --add-category Application                              \
        %{name}.desktop

# Make suitable for parallel install.
for hpfile in \
        %{buildroot}%{_bindir}/hpijs \
        %{buildroot}%{_bindir}/hp-* \
        %{buildroot}/usr/lib/cups/backend/hp*
do
        name=$(basename "$hpfile")
        mv "$hpfile" "$(dirname "$hpfile")"/"hp3${name#hp}"
done

# Images in docdir should not be executable (bug #440552).
find doc/images -type f -exec chmod 644 {} \;

# Create an empty plugins directory to make sure it gets the right
# SELinux file context (bug #565875).
%{__mkdir_p} %{buildroot}%{_datadir}/hplip3/prnt/plugins

# Remove files we don't want to package.
rm -f %{buildroot}%{_datadir}/hplip3/hpaio.desc
rm -f %{buildroot}%{_datadir}/hplip3/hplip-install
rm -rf %{buildroot}%{_datadir}/hplip3/install.*
rm -f %{buildroot}%{_datadir}/hplip3/hpijs.drv.in.template
# We ship the PPDs from the .drv file instead of the file itself
rm -rf %{buildroot}%{_datadir}/cups/drv/hp

# The systray applet doesn't work properly (displays icon as a
# window), so don't ship the launcher yet.
rm -f %{buildroot}%{_sysconfdir}/xdg/autostart/hplip-systray.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING doc/*
%{_bindir}/hp3-align
%{_bindir}/hp3-clean
%{_bindir}/hp3-colorcal
%{_bindir}/hp3-fab
%{_bindir}/hp3-firmware
%{_bindir}/hp3-info
%{_bindir}/hp3-levels
%{_bindir}/hp3-makecopies
%{_bindir}/hp3-makeuri
%{_bindir}/hp3-mkuri
%{_bindir}/hp3-plugin
%{_bindir}/hp3-probe
%{_bindir}/hp3-query
%{_bindir}/hp3-scan
%{_bindir}/hp3-sendfax
%{_bindir}/hp3-setup
%{_bindir}/hp3-testpage
%{_bindir}/hp3-timedate
%{_bindir}/hp3-unload
# Note: this must be /usr/lib not %%{_libdir}, since that's the
# CUPS serverbin directory.
/usr/lib/cups/backend/hp3
/usr/lib/cups/backend/hp3fax
# Files
%{_datadir}/hplip3/align.py*
%{_datadir}/hplip3/clean.py*
%{_datadir}/hplip3/colorcal.py*
%{_datadir}/hplip3/fab.py*
%{_datadir}/hplip3/fax
%{_datadir}/hplip3/firmware.py*
%{_datadir}/hplip3/hpdio.py*
%{_datadir}/hplip3/hpssd*
%{_datadir}/hplip3/info.py*
%{_datadir}/hplip3/__init__.py*
%{_datadir}/hplip3/levels.py*
%{_datadir}/hplip3/makecopies.py*
%{_datadir}/hplip3/makeuri.py*
%{_datadir}/hplip3/plugin.py*
%{_datadir}/hplip3/probe.py*
%{_datadir}/hplip3/query.py*
%{_datadir}/hplip3/scan.py*
%{_datadir}/hplip3/sendfax.py*
%{_datadir}/hplip3/setup.py*
%{_datadir}/hplip3/testpage.py*
%{_datadir}/hplip3/timedate.py*
%{_datadir}/hplip3/unload.py*
# Directories
%dir %{_datadir}/hplip3/base
%attr(0644,root,root) %{_datadir}/hplip3/base/*
%{_datadir}/hplip3/copier
%{_datadir}/hplip3/data/ldl
%{_datadir}/hplip3/data/localization
%{_datadir}/hplip3/data/pcl
%{_datadir}/hplip3/data/ps
%{_datadir}/hplip3/installer
%{_datadir}/hplip3/pcard
%{_datadir}/hplip3/plugins
%{_datadir}/hplip3/prnt
%{_datadir}/hplip3/scan
%{_localstatedir}/lib/hp3

%files common
%defattr(-,root,root,-)
%{_sysconfdir}/udev/rules.d/*
%dir %{_sysconfdir}/hp3
%config(noreplace) %{_sysconfdir}/hp3/hplip.conf
%dir %{_datadir}/hplip3
%dir %{_datadir}/hplip3/data
%{_datadir}/hplip3/data/models

%files libs
%defattr(-,root,root)
%{_libdir}/libhp3ip.so.*
%{_libdir}/libhp3mud.so*
# Python extension
%{python_sitearch}/*

%files gui
%defattr(-,root,root,-)
%{_bindir}/hp3-check
%{_bindir}/hp3-print
%{_bindir}/hp3-systray
%{_bindir}/hp3-toolbox
%{_datadir}/applications/*.desktop
# Files
%{_datadir}/hplip3/check.py*
%{_datadir}/hplip3/print.py*
%{_datadir}/hplip3/systray.py*
%{_datadir}/hplip3/toolbox.py*
# Directories
%{_datadir}/hplip3/data/images
%{_datadir}/hplip3/ui

%files -n hpijs3
%defattr(-,root,root)
%{_bindir}/hp3ijs
%dir %{_datadir}/ppd/HP
%{_datadir}/ppd/HP/*.ppd.gz
# Note: this must be /usr/lib not %%{_libdir}, since that's the
# CUPS serverbin directory.
/usr/lib/cups/filter/hpcac
/usr/lib/cups/filter/hpcups
/usr/lib/cups/filter/hpcupsfax
/usr/lib/cups/filter/hplipjs

%files -n libsane-hpaio3
%defattr(-,root,root)
%{_libdir}/sane/libsane-*.so*

%post -n libsane-hpaio3
if [ -f %{_sysconfdir}/sane.d/dll.conf ] && \
   ! grep ^hpaio3 %{_sysconfdir}/sane.d/dll.conf >/dev/null 2>/dev/null
then
  echo hpaio3 >> %{_sysconfdir}/sane.d/dll.conf
fi

%post gui
/usr/bin/update-desktop-database &>/dev/null ||:

%postun gui
/usr/bin/update-desktop-database &>/dev/null ||:

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%changelog
* Fri Dec 17 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-11:.1
- Applied patch to fix CVE-2010-4267, remote stack overflow
  vulnerability (bug #662740).

* Fri Nov 12 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-11
- More hp/hp3 changes.
- Prevent hp-fab traceback when run as root.
- Removed extra desktop file.

* Fri Nov  5 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-10
- Remove more programs that require PyQt4: hp3-faxsetup,
  hp3-linefeedcal, hp3-pqdiag, hp3-printsettings, hp3-wificonfig.

* Fri Nov  5 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-9
- Further use of unavailable dbus features removed.
- Don't ship hp3-devicesettings as it requires PyQt4.

* Thu Nov  4 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-8
- Avoid dbus features not in Red Hat Enterprise Linux 5.

* Tue Nov  2 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-7
- Fixed paths in base/g.py.
- Don't ship empty drv directory.

* Wed Sep 29 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-6
- Fixed desktop file icon reference.
- Use -fno-strict-aliasing for hpijs.

* Mon Sep 27 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-5
- Added conflict with selinux-policy < 2.4.6-283 for bug #626858.

* Thu Sep 16 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-4
- Fix from package review:
  - Fixed one more place where python_sitearch should be used.

* Wed Sep 15 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-3
- Fixes from package review:
  - Use python_sitearch macro.
  - Avoided macro in comment.
  - The libsane-hpaio3 sub-package requires sane-backends-libs for
    directories.

* Wed Sep 15 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-2
- Fixes from package review:
  - Main package and hpijs sub-package require cups for directories.
  - The common sub-package requires udev for directories.
  - The libs sub-package requires python for directories.
  - Avoided macro in comment.
  - The lib sub-package now runs ldconfig for post/postun.

* Tue Sep 14 2010 Tim Waugh <twaugh@redhat.com> 3.9.8-1
- Don't use dbus.glib.mainloop.DBusGMainLoop (bug #626850).

* Tue Aug 17 2010 Tim Waugh <twaugh@redhat.com>
- Fixed weird type issue in Qt3 UI.
- No working systray support for Qt3 so just run the userspace daemon
  when hp-systray is called (bug #506645).
- Use correct fax PPD name (bug #506645).

* Fri Aug  6 2010 Tim Waugh <twaugh@redhat.com>
- Don't use "/usr/bin/env python" for Python scripts (bug #521857).

* Fri Jul 30 2010 Tim Waugh <twaugh@redhat.com>
- Backported 3.9.8 from Red Hat Enterprise Linux 6 (bug #506645).
  - Use Qt-3 instead of Qt-4.
  - Dropped python-reportlab requirement as not available in Red Hat
    Enterprise Linux 5.

* Fri Sep 29 2006 Tim Waugh <twaugh@redhat.com> 1.6.7-4
- Don't wake up every half a second (bug #204725).

* Mon Sep 25 2006 Tim Waugh <twaugh@redhat.com>
- Fixed package URL.

* Mon Aug 21 2006 Tim Waugh <twaugh@redhat.com> 1.6.7-3
- Don't look up username in PWDB in the fax backend (removed redundant code).

* Mon Aug  7 2006 Tim Waugh <twaugh@redhat.com> 1.6.7-2
- 1.6.7.
- Conflict with selinux-policy < 2.3.4 to make sure new port numbers are
  known about (bug #201357).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - (none):1.6.6a-3.1
- rebuild

* Tue Jul  4 2006 Tim Waugh <twaugh@redhat.com> 1.6.6a-3
- libhpip should link against libm (bug #197599).

* Wed Jun 28 2006 Tim Waugh <twaugh@redhat.com> 1.6.6a-2
- 1.6.6a.

* Mon Jun 26 2006 Tim Waugh <twaugh@redhat.com>
- Patchlevel 1.
- Fixed libsane-hpaio %%post scriptlet (bug #196663).

* Fri Jun 16 2006 Tim Waugh <twaugh@redhat.com> 1.6.6-2
- 1.6.6.

* Mon Jun 12 2006 Tim Waugh <twaugh@redhat.com> 0.9.11-6
- Build requires autoconf (bug #194682).

* Fri May 26 2006 Tim Waugh <twaugh@redhat.com> 0.9.11-5
- Include doc files (bug #192790).

* Mon May 15 2006 Tim Waugh <twaugh@redhat.com> 0.9.11-4
- Patchlevel 2.

* Wed May 10 2006 Tim Waugh <twaugh@redhat.com> 0.9.11-3
- Move hpijs to 0.9.11 too.

* Wed May 10 2006 Tim Waugh <twaugh@redhat.com> 0.9.11-2
- 0.9.11.
- Keep hpijs at 0.9.8 for now.

* Fri Apr 21 2006 Tim Waugh <twaugh@redhat.com> 0.9.10-6
- Patchlevel 2.

* Wed Apr 19 2006 Tim Waugh <twaugh@redhat.com>
- Don't package COPYING twice (bug #189162).

* Tue Apr 18 2006 Tim Waugh <twaugh@redhat.com> 0.9.10-5
- Patchlevel 1.
- Fixed another case-sensitive match.
- Require hpijs sub-package (bug #189140).
- Don't package unneeded files (bug #189162).
- Put fax PPD in the right place (bug #186213).

* Tue Apr  4 2006 Tim Waugh <twaugh@redhat.com> 0.9.10-4
- Use case-insensitive matching.  0.9.8 gave all-uppercase in some
  situations.
- Last known working hpijs comes from 0.9.8, so use that.

* Tue Mar 28 2006 Tim Waugh <twaugh@redhat.com> 0.9.10-3
- Always use /usr/lib/cups/backend.

* Tue Mar 28 2006 Tim Waugh <twaugh@redhat.com> 0.9.10-2
- 0.9.10.
- Ship PPDs.

* Fri Mar 24 2006 Tim Waugh <twaugh@redhat.com> 0.9.9-7
- Include hpfax.
- Build requires libusb-devel.

* Thu Mar 23 2006 Tim Waugh <twaugh@redhat.com> 0.9.9-6
- CUPS backend directory is always in /usr/lib.

* Mon Mar 13 2006 Tim Waugh <twaugh@redhat.com> 0.9.9-4
- Quieten hpssd on startup.

* Sat Mar 11 2006 Tim Waugh <twaugh@redhat.com> 0.9.9-3
- Patchlevel 1.

* Thu Mar  9 2006 Tim Waugh <twaugh@redhat.com> 0.9.9-2
- 0.9.9.  No longer need quiet or 0.9.8-4 patches.

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 0.9.8-6
- Buildrequires: desktop-file-utils

* Mon Feb 27 2006 Tim Waugh <twaugh@redhat.com> 0.9.8-5
- Patchlevel 4.

* Tue Feb 14 2006 Tim Waugh <twaugh@redhat.com> 0.9.8-4
- Added Obsoletes: hpoj tags back in (bug #181476).

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - (none):0.9.8-3.1
- bump again for double-long bug on ppc(64)

* Tue Feb  7 2006 Tim Waugh <twaugh@redhat.com> 0.9.8-3
- Patchlevel 3.

* Fri Feb  3 2006 Tim Waugh <twaugh@redhat.com> 0.9.8-2
- Patchlevel 2.

* Thu Feb  2 2006 Tim Waugh <twaugh@redhat.com> 0.9.8-1
- 0.9.8.
- No longer need initscript patch.
- Don't package hpfax yet.

* Wed Jan 18 2006 Tim Waugh <twaugh@redhat.com> 0.9.7-8
- Don't package PPD files.

* Thu Jan  5 2006 Tim Waugh <twaugh@redhat.com> 0.9.7-7
- Fix initscript (bug #176966).

* Mon Jan  2 2006 Tim Waugh <twaugh@redhat.com> 0.9.7-6
- Rebuild.

* Fri Dec 23 2005 Tim Waugh <twaugh@redhat.com> 0.9.7-5
- Rebuild.

* Wed Dec 21 2005 Tim Waugh <twaugh@redhat.com> 0.9.7-4
- Build requires python-devel, libjpeg-devel (bug #176317).

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec  7 2005 Tim Waugh <twaugh@redhat.com> 0.9.7-3
- Use upstream patch 0.9.7-2.
- No longer need lpgetstatus or compile patches.

* Fri Nov 25 2005 Tim Waugh <twaugh@redhat.com> 0.9.7-2
- Prevent LPGETSTATUS overrunning format buffer.

* Thu Nov 24 2005 Tim Waugh <twaugh@redhat.com> 0.9.7-1
- 0.9.7.

* Fri Nov 18 2005 Tim Waugh <twaugh@redhat.com> 0.9.6-7
- Fix compilation.

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 0.9.6-6
- rebuilt against new openssl

* Mon Nov  7 2005 Tim Waugh <twaugh@redhat.com> 0.9.6-5
- Rebuilt.

* Wed Oct 26 2005 Tim Waugh <twaugh@redhat.com> 0.9.6-4
- Ship initscript in %%{_sysconfdir}/rc.d/init.d.

* Fri Oct 14 2005 Tim Waugh <twaugh@redhat.com>
- Install the desktop file with Hidden=True (bug #170762).

* Fri Oct 14 2005 Tim Waugh <twaugh@redhat.com> 0.9.6-3
- Don't install desktop file (bug #170762).
- Quieten the hpssd daemon at startup (bug #170762).

* Wed Oct 12 2005 Tim Waugh <twaugh@redhat.com> 0.9.6-2
- 0.9.6.

* Tue Sep 20 2005 Tim Waugh <twaugh@redhat.com> 0.9.5-3
- Apply upstream patch to fix scanning in LaserJets and parallel InkJets.

* Mon Sep 19 2005 Tim Waugh <twaugh@redhat.com> 0.9.5-2
- 0.9.5.
- No longer need condrestart patch.
- Fix compile errors.

* Tue Jul 26 2005 Tim Waugh <twaugh@redhat.com> 0.9.4-3
- Fix condrestart in the initscript.

* Mon Jul 25 2005 Tim Waugh <twaugh@redhat.com> 0.9.4-2
- Use 'condrestart' not 'restart' in %%post scriptlet.

* Fri Jul 22 2005 Tim Waugh <twaugh@redhat.com> 0.9.4-1
- forward-decl patch not needed.
- 0.9.4.

* Fri Jul  1 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-8
- Removed Obsoletes: hpoj tags (bug #162222).

* Thu Jun 30 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-7
- Rebuild to get Python modules precompiled.

* Wed Jun 22 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-6
- For libsane-hpaio ExcludeArch: s390 s390x, because it requires
  sane-backends.

* Wed Jun 15 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-5
- Use static IP ports (for SELinux policy).

* Tue Jun 14 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-4
- Conflicts: hpijs from before this package provided it.
- Conflicts: system-config-printer < 0.6.132 (i.e. before HPLIP support
  was added)

* Thu Jun  9 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-3
- Added Obsoletes: for xojpanel and hpoj-devel (but we don't actually package
  devel files yet).

* Thu Jun  9 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-2
- Add 'hpaio' to SANE config file, not 'hpoj' (bug #159954).

* Thu Jun  9 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-1
- Use /usr/share/applications for putting desktop files in (bug #159932).
- Requires PyQt (bug #159932).

* Tue Jun  7 2005 Tim Waugh <twaugh@redhat.com> 0.9.3-0.1
- Initial package, based on Mandriva spec file.
